package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jz.dm.common.base.BaseObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * @Description:
 * @Author: Mr.zhang
 * @Date: 2020-12-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_interface")
public class ApiInterface extends BaseObject implements Serializable {


	/**
	* api唯一标识
	*/
	@TableField("api_key")
    private String apiKey;

	/**
	* api名称
	*/
	@TableField("api_name")
    private String apiName;

	/**
	* api描述
	*/
	@TableField("api_desc")
    private String apiDesc;

	/**
	* api请求协议：http，https
	*/
	@TableField("api_protocl")
    private String apiProtocl;

	/**
	* 目标url
	*/
	@TableField("target_url")
    private String targetUrl;

	/**
	* 状态(1-草稿 2-发布 3-过时 4-冻结 5-失效)
	*/
	@TableField("status")
    private String status;

	/**
	* 版本号
	*/
	@TableField("version")
    private String version;

	/**
	* 加密方式： MD5 RSA
	*/
	@TableField("sign_type")
    private String signType;

	/**
	* 超时时间
	*/
	@TableField("timeout")
    private String timeout;

	/**
	* 是否测试数据:0 否,1 是
	*/
	@TableField("is_test")
    private Integer isTest;

}
